Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::VideoStabilizationSettingsObserver Class Reference

Video stabilization settings observer. More...

Inheritance diagram for ArgusSamples::VideoStabilizationSettingsObserver:

List of all members.

## Public Member Functions

| VideoStabilizationSettingsObserver (Argus::IVideoStabilizationSettings *iVStabSettings)
virtual | ~VideoStabilizationSettingsObserver ()
virtual bool | isInterface (Argus::Interface *interface) const
| Check if this is the observer for the given interface.
Public Member Functions inherited from ArgusSamples::IObserverForInterface
virtual | ~IObserverForInterface ()

## Private Member Functions

bool | onVideoStabilizationModeChanged (const Observed &source)

## Private Attributes

Argus::IVideoStabilizationSettings * | m_iVideoStabilizationSettings

## Detailed Description

Video stabilization settings observer.

Update Argus video stabilization settings when changed.

Definition at line 220 of file Dispatcher.cpp.

## Constructor & Destructor Documentation

ArgusSamples::VideoStabilizationSettingsObserver::VideoStabilizationSettingsObserver | ( | Argus::IVideoStabilizationSettings * | iVStabSettings | ) |

inline

Definition at line 223 of file Dispatcher.cpp.

virtual ArgusSamples::VideoStabilizationSettingsObserver::~VideoStabilizationSettingsObserver | ( |  | ) |

inlinevirtual

Definition at line 233 of file Dispatcher.cpp.

## Member Function Documentation

virtual bool ArgusSamples::VideoStabilizationSettingsObserver::isInterface | ( | Argus::Interface * | interface | ) | const

inlinevirtual

Check if this is the observer for the given interface.

Parameters:

  interface | [in]

Implements ArgusSamples::IObserverForInterface.

Definition at line 242 of file Dispatcher.cpp.

bool ArgusSamples::VideoStabilizationSettingsObserver::onVideoStabilizationModeChanged | ( | const Observed & | source | ) |

inlineprivate

Definition at line 248 of file Dispatcher.cpp.

## Member Data Documentation

Argus::IVideoStabilizationSettings* ArgusSamples::VideoStabilizationSettingsObserver::m_iVideoStabilizationSettings

private

Definition at line 265 of file Dispatcher.cpp.

The documentation for this class was generated from the following file:

- modules/Dispatcher.cpp